<?php
/**
* Search for paras as parents of the tags
* defined by $child_tags. Used to find
* nested formalparas, examples etc.
* Capture the <tag> and the
* starting line number.
* File must be in the current directory.
* Output file is <filename>.xml.element.
**/

$d = new DOMDocument();
$source = $argv[1];
$dest = $argv[1] . ".element";
//change below as needed
$parent_tag = "para";
$child_tags = array ("formalpara", "example", "note", "warning", "table", "itemizedlist", 
  "orderedlist", "calloutlist", "programlisting");
$contents = "Checking " . $source . "\n\n";

//load document
$d->load($source);
//foreach
foreach ($child_tags as $child){
  $nodelist = $d->getElementsbyTagName($child);
  //loop through list here
  if ($nodelist->item(0)){
    foreach ($nodelist as $single){
      //check parent 
      $parent = $single->parentNode;
      if ($parent->tagName == $parent_tag || $parent->tagName == "default:$parent_tag"){
        $contents .= "------------------------------------\n";
        $contents .= "child:  <$child> \n";
        $contents .= 'parent: ' . $parent->tagName . "\n";
        //long files note bug https://bugzilla.gnome.org/show_bug.cgi?id=676026
        //line number may be wrong
        $contents .= 'line: ' . $single->getLineNo() . "\n";
        $contents .= "------------------------------------\n\n";
      }
    }
  }
  file_put_contents($dest, $contents);
}
?>
